import request from '@/utils/request'

// 查询对接三方平台配置列表
export function listSecret(query) {
    return request({
        url: '/thirdparty/secret/list',
        method: 'get',
        params: query
    })
}

// 查询对接三方平台配置详细
export function getSecret(id) {
    return request({
        url: '/thirdparty/secret/' + id,
        method: 'get'
    })
}

// 新增对接三方平台配置
export function addSecret(data) {
    return request({
        url: '/thirdparty/secret',
        method: 'post',
        data: data
    })
}

// 修改对接三方平台配置
export function updateSecret(data) {
    return request({
        url: '/thirdparty/secret',
        method: 'put',
        data: data
    })
}

// 删除对接三方平台配置
export function delSecret(id) {
    return request({
        url: '/thirdparty/secret/' + id,
        method: 'delete'
    })
}

// 根据第三方平台类型查询对接第三方平台的站点列表
export function selectStationList(data) {
    return request({
        url: '/thirdparty/secret/selectStationList',
        method: 'post',
        data: data
    })
}
